Retrieves a list of Groups.
- Requests must specify a filter. Requests without a
filterparameter return atooManyerror. - The
filterparameter only supports equality ondisplayName(for example,displayName eq "Group Name") orexternalId(for example,externalId eq "ddaafa46e2b6"). - Sub-string matches (
co,sw,ew), logical operators (and,or), and complex value filters are not supported. - Pagination is not supported. If there are more than 50 group matches, only the first 50 results will be returned.
HTTP request
GET https://cloudidentityscim.googleapis.com/v1/customers/{customerId}/v2/Groups
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
customerId |
Required. The customer ID. |
Query parameters
| Parameters | |
|---|---|
filter |
The filter parameter. |
Request body
The request body must be empty.
Response body
Response message from listing Groups.
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{
"schemas": [
string
],
"resources": [
{
object ( |
| Fields | |
|---|---|
schemas[] |
The schemas for the returned resources. |
resources[] |
The list of requested resources. |
totalResults |
The total number of results. |
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/cloud-identity.groups.readonlyhttps://www.googleapis.com/auth/cloud-identity.groupshttps://www.googleapis.com/auth/cloud-identityhttps://www.googleapis.com/auth/cloud-platform
For more information, see the Authorization guide.